Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# QDLHeartBeat Class Reference

The QDLHeartBeat class automates the sending of a heart beat to clients. More...

`#include <qtopia/qdl.h>`

List of all member functions.

## Public Members

- QDLHeartBeat ( const QString & clientID )
- ~QDLHeartBeat ()

## Detailed Description

The QDLHeartBeat class automates the sending of a heart beat to clients.

QDLHeartBeat automates the sending of a heart beat to a QDLClient. It begins sending a heart beat when constructed and terminates when it is destructed (eg goes out of scope).

This is used by a source application to let a client know that the request it made is being actively processed.

See also QDLClient and Qtopia Classes.

## Member Function Documentation

### QDLHeartBeat::QDLHeartBeat ( const QString & clientID )

Constructs a QDLHeartBeat and begins sending heart beats to the client specified by clientID immediately.

### QDLHeartBeat::~QDLHeartBeat ()

Destructs the QDLHeartBeat so that it no longer sends heart beats.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.